Subject: Re: linux-next: build warning after merge of the drivers-x86 tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 30 Aug 2010 12:51:19 +1000

Hi all,

On Fri, 27 Aug 2010 00:40:48 -0700 Dmitry Torokhov <[email-masked]> wrote:
>
> On Fri, Aug 27, 2010 at 03:51:48AM +0100, Matthew Garrett wrote:
> > On Fri, Aug 27, 2010 at 11:59:50AM +1000, Stephen Rothwell wrote:
> > 
> > > After merging the drivers-x86 tree, today's linux-next build (powerpc
> > > ppc64_defconfig and x86_64 allmodconfig) produced this warning:
> > 
> > Oh Lordy. I should stop merging anything that contains "select". I'll 
> > take a look at this tomorrow, but I'm about to head away for a week - if 
> > anyone has a fix, feel free to find a way to get it merged.
> > 
> > (Dmitry, there was a Kconfig issue when I merged your patch, so it's 
> > entirely plausible that you're a completely innocent bystander here)
> 
> Yeah, I think I am innocent here. My patch was adding "select
> INPUT_SPARCEKMAP" which is a library module and which I ensure to be
> selectable as long as INPUT is enabled. I do not want to switch it
> around into "depends on" since it is implementation detail and user
> should not care.

I applied this patch for today ...

From: Stephen Rothwell <[email-masked]>
Date: Mon, 30 Aug 2010 12:47:51 +1000
Subject: [PATCH] Fix Kconfig mistaken update

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 drivers/platform/x86/Kconfig |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

diff --git a/drivers/platform/x86/Kconfig b/drivers/platform/x86/Kconfig
index b96db80..55579f1 100644
--- a/drivers/platform/x86/Kconfig
+++ b/drivers/platform/x86/Kconfig
@@ -497,7 +497,6 @@ config ACPI_TOSHIBA
 	depends on RFKILL || RFKILL = n
 	select INPUT_POLLDEV
 	select INPUT_SPARSEKMAP
-	select BACKLIGHT_CLASS_DEVICE
 	---help---
 	  This driver adds support for access to certain system settings
 	  on "legacy free" Toshiba laptops.  These laptops can be recognized by
-- 
1.7.1

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/